- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/listAlertViews#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/listAlertViews#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/listAlertViews#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/listAlertViews#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/listAlertViews#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/listAlertViews#body.ListAlertViewsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/listAlertViews#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/listAlertViews#body.aspect_1)

**Full name**: projects.locations.instances.cases.caseAlerts.listAlertViews

Lists the different UI views available for presenting an alert's data. Use this method to discover how alert information can be structurally organized in the interface.

### HTTP request

`GET https://{endpoint}/v1alpha/{name}:listAlertViews`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The CaseAlert instance to list Views for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts/{caseAlert} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of Views to return. |
| `pageToken` | `string` Optional. A page token, received from a previous `caseAlerts.listAlertViews` call. Provide this to retrieve the subsequent page. |
| `orderBy` | `string` Optional. Configures ordering of Views in the response. If not specified, Views are returned in descending order of their create time. The orderBy string is a comma separated list of fields. Supported sort fields: \* `firstPlaybookRunTime`: Sort by the first time the playbook associated with this view was run. The default alert view is considered to have run at the Unix epoch. |

### Request body

The request body must be empty.

### Response body

Response message for caseAlerts.listAlertViews to list the views attached to a given alert.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "alertViews": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views#View`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `alertViews[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.views#View`)`` Output only. The list of views for the given alert. |
| `nextPageToken` | `string` Output only. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Output only. The total number of alert views. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.caseAlerts.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).